/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCSSValueList_H__
#define __GdomCSSValueList_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomCSSValue.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCSSValueList GdomCSSValueList;
typedef struct _GdomCSSValueListClass GdomCSSValueListClass;


#define GDOM_TYPE_CSS_VALUE_LIST            (gdom_css_value_list_get_type())
#define GDOM_CSS_VALUE_LIST(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CSS_VALUE_LIST, GdomCSSValueList))
#define GDOM_CSS_VALUE_LIST_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CSS_VALUE_LIST, GdomCSSValueList)Class)
#define GDOM_IS_CSS_VALUE_LIST(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CSS_VALUE_LIST))
#define GDOM_IS_CSS_VALUE_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CSS_VALUE_LIST))
#define GDOM_CSS_VALUE_LIST_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CSS_VALUE_LIST, GdomCSSValueListClass))

typedef struct _GdomCSSValueListPrivate GdomCSSValueListPrivate;

struct _GdomCSSValueList {
    GdomCSSValue parent_instance;
    GdomCSSValueListPrivate *priv;
};

struct _GdomCSSValueListClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_css_value_list_get_type (void);

WEBKIT_API GdomCSSValue *
gdom_css_value_list_item (GdomCSSValueList *thiz, gulong index);

G_END_DECLS

#endif /* __GdomCSSValueList_H__ */
